// CTF Miami (miami.bsp)
// Originally Grassland skybox shader by Kell
//
// Created by : Course Oblivion
// Webpage    : http://www.planetleopold.nl/courseoblivion
//
// Information
//
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon

// Skies

textures/miami_skies/miamisky
{
	qer_editorimage textures/miami_skies/miamisky.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_surfacelight 200
	q3map_sun 1 1 1 99 55 48
	skyparms env/miamisky/miamisky - -
}


// Transparencies

textures/co_team_set03/gate01_01
{
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm trans
    nopicmip
    cull disable
    {
        map textures/co_team_set03/gate01_01.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
        rgbGen identity
    }
}

// MD3 Models > Textures

// Stop light

models/mapobjects/automotive/stoplight
{
	q3map_lightimage textures/automotive/stoplight.tga
	surfaceparm nodamage
	q3map_surfacelight 1000
	
	{
		map models/mapobjects/automotive/stoplight_2.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map models/mapobjects/automotive/stoplight.tga
		blendfunc add
		rgbGen wave square 0.5 0.5 0 1 
	}
}

models/mapobjects/automotive/shield
{
	cull none
	{
		map models/mapobjects/automotive/shield.tga
		rgbGen identity
	}
}


// Palms Leafs

models/mapobjects/multiplant/batleaf
{	
    surfaceparm alphashadow
    cull none
    	
	{
		map models/mapobjects/multiplant/batleaf.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}


	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


models/mapobjects/multiplant/palmfrond
{	
    surfaceparm alphashadow
    cull none
    	
	{
		map models/mapobjects/multiplant/palmfrond.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}


	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


// Shrubery

models/miami_models/shrubbery/miami_shrubbery1
{	
    surfaceparm alphashadow
    cull none
    	
	{
		map models/miami_models/shrubbery/miami_shrubbery1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}


	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


// Lights

models/mapobjects/bfp/gothl_lampscreen
{
	q3map_surfacelight 400
	{
		map models/mapobjects/bfp/gothl_lampscreen.tga
		//blendfunc gl_one_minus_dst_alpha gl_src_color
		blendfunc add

	}
}
models/mapobjects/bfp/gothl_bulp
{
	q3map_surfacelight 400
	{
		map models/mapobjects/bfp/gothl_bulp.tga
		blendfunc add
	}
}
models/mapobjects/bfp/gothl_glow
{
	deformvertexes autosprite
	{
		map models/mapobjects/bfp/gothl_glow.tga
		blendfunc add
	}
}

// Clip

textures/common/botclip
{
    qer_trans 0.3
    surfaceparm nodraw
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm playerclip
    surfaceparm trans
    surfaceparm monsterclip
}
